Jump to content

Search the Community

Showing results for tags 'publish'.

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Categories

  • Programs and Scripts
  • 2D AutoCAD Blocks
  • 3D AutoCAD Blocks
  • Images
    • Backgrounds

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 16 results

  1. Hello all. I need a lisp that will merge all layouts, that start with a certain name, into one PDF file. I have already made some progress with this Lisp. With the dwgprops I get information about the current file path, which I then merge all with the stract command. This also works, only the command "-Export" "ak" can only print one sheet. The number of layouts that start with "Plan..." are always different. Does anyone have an idea which command works instead for publish all Layouts, that beginns with the same name? The -publish command always asks me for a dsd file. (defun c:Documentsheets ( / pdfName ) (vl-load-com) ;--------- get variabel für contact - number: (setq acadObject (vlax-get-acad-object)) (setq acadDocument (vla-get-ActiveDocument acadObject)) (setq dProps (vlax-get-Property acadDocument 'SummaryInfo)) (vla-getCustomByIndex dProps 4 'myValue1 'myValue2) (setq contact myValue2) (princ) ;--------- get variable for order - number: (setq acadObject (vlax-get-acad-object)) (setq acadDocument (vla-get-ActiveDocument acadObject)) (setq dProps (vlax-get-Property acadDocument 'SummaryInfo)) (vla-getCustomByIndex dProps 5 'myValue1 'myValue2) (setq order myValue2) (princ) ;-------- (setq Pathone "\\\\company.lan\\xyz\\erp\\land\\contact\\") (setq Pathtwo "\\order\\") (setq Paththree "\\folder\\") ;-------- (command "_Qsafe") (foreach layname (vl-remove-if-not '(lambda (ln) (vl-some '(lambda (n) (wcmatch ln n) ) '("Plan*") ) ) (layoutlist) ) (setvar "ctab" layname) (setq pdfName (strcat Pathone Contact Pathtwo Order Paththree (strcat order "_Drawing") ) ) ) (if (findfile pdfName) (command "-EXPORT" "PDF" "Ak" "N" pdfName "J") (command "-EXPORT" "PDF" "Ak" "N" pdfName) ) )
  2. Hi Guys, I have several layouts when drawing, which also have different names. I want to save in a Lisp all layouts that start with a specific name in a certain folder as PDF. I am new in lisp, but i have managed to write a lisp that selects the correct location for me. Unfortunately only all layouts are printed. (defun c:Dokument_Export () (command "-EXPORT" "PDF" "ALLE" (strcat (substr (getvar "DWGPREFIX") 1 70) "\\08_Auftragsbestätigung\\" (strcat (substr (getvar "DWGNAME") 1 8) "_Zeichnung") ) ) ) You have any idea? Thanks in advance.
  3. Hi there, I'm trying to convert a few thousand files from dwg to pdf and I believe I'm on the right track but am a little stuck. I'm attempting to use DWG TrueView though I have limited access to AutoCAD for like template creation and such. I seem to have trouble getting some of them to plot/publish and also it seems many of the layouts don't show the entire actual view (like I see 1/4 corner taking up the entire page) - scaling problems. My procedure is to create model and sheet page setup files in AutoCAD to use the built in DWG to PDF printer and 8.5" x 11" landscape. So I open the acad.dwt template file, and save one for model and one for layout after setting the above settings. I then open one of the drawings and run batch plot, then I set the list with all the layout only drawings (was going to do models later) and import the page setup file for drawings. I am getting an error saying the layout is not initialized -I was going to consider using AutoCAD and MultiBatch to initialize the layouts. If I attempt to plot now I currently do not see any PDFs created even though the logs say about 6 or so completed. Any thoughts? Thanks!
  4. Hello, I have moved to a new office with a new computer, and I am trying to set up ACAD to where it PUBLISHes all the sheets to a single PDF, with PUBLISH quality (not plot quality). I have ten (10) layouts in a drawing, and all the layouts are set up the same way in Page Setup mgr. In page setup manager, for each one of the layouts, I've selected the BlueBeam PDF printer/plotter, an ARCH_E1 _(30.00_x_42.00_Inches) Paper size, a 'Plot style table' set to monochrome.ctb (SHOULD IT BE .stb???) with 'display plot styles' checked. Actually, just see this: Here are the problems: 1. The computer wants to publish by plotting ONE SHEET AT A TIME AND ASKING ME WHAT TO NAME IT AND WHERE TO PUT IT EACH TIME.. 2. The quality of the resultant PDF is terrible, and looks like it was plotted individually instead of published (I have noticed a difference between plotting and publishing). See this: I need some assistance, please! Thanks!
  5. All, With the help of other lisp routines We have come up with a way to use Publish to make a multi page PDF without using a 3rd party program. Here it is for everyone to look at and use. It works and does what we want it to do but we haven't figured out how to delete the DWG files when it's done Publishing, so if some one could figure that out that would be great. (defun c:pdfpub (/ ob ss bn mn mx) ;; This was created by combining a multitude of different lisp routines by Lee Mac, RLX, Lee Ambrosius, Stephan BMR and howiez69 (vl-load-com) (setq doc (vla-get-ActiveDocument (vlax-get-acad-object))) ;; Get the PlotConfigurations collection (setq plotCfgs (vla-get-PlotConfigurations doc)) ;; Check to see if the pagesetup already exists (setq plotCfg (vl-catch-all-apply 'vla-Item (list plotCfgs "PDFSetup"))) ;; If the page setup exists, the variable will be of type VLA-OBJECT (if (/= (type plotCfg) 'VLA-OBJECT) ;; Create a page setup for model or paper space accordingly (if (= (getvar "TILEMODE") 0) (setq plotCfg (vla-Add plotCfgs "PDFSetup" :vlax-false)) (setq plotCfg (vla-Add plotCfgs "PDFSetup" :vlax-true)) ) ) ;;(vla-put-Name plotCfg "PDFSetup") (vla-RefreshPlotDeviceInfo plotCfg) ;; Set the plot device (vla-put-ConfigName plotCfg "DWG To PDF.pc3") ;; Set the paper size (vla-put-CanonicalMediaName plotCfg "ARCH_full_bleed_C_(24.00_x_18.00_Inches)") ;; Set the plot units (inches, millimeters, pixels) (vla-put-PaperUnits plotCfg acInches) ;; Set what to plot ;; - If using acView, set the ViewToPlot property ;; - If using acWindow, call GetWindowToPlot (if (= (getvar "TILEMODE") 0) (progn (vla-put-PlotType plotCfg acLayout) ;; Set scale (vla-put-UseStandardScale plotCfg :vlax-true) (vla-put-StandardScale plotCfg ac1_1) ) (progn (vla-put-PlotType plotCfg acExtents) ;; Set scale (vla-put-UseStandardScale plotCfg :vlax-true) (vla-put-StandardScale plotCfg acScaleToFit) ) ) ;; Hide paperspace objects (vla-put-PlotHidden plotCfg :vlax-false) ;; Set the plot origin (setq origin (vlax-make-safearray vlax-vbDouble '(0 . 1))) (vlax-safearray-fill origin (list 0.5 0.5)) (vla-put-PlotOrigin plotCfg origin) ;; Set the plot rotation (vla-put-PlotRotation plotCfg ac0degrees) ;; Set viewport plot behavior (vla-put-PlotViewportBorders plotCfg :vlax-false) (vla-put-PlotViewportsFirst plotCfg :vlax-true) ;; Set lineweight behavior (vla-put-PlotWithLineweights plotCfg :vlax-true) (vla-put-ScaleLineweights plotCfg :vlax-true) ;; Set plot styles behavior (vla-put-PlotWithPlotStyles plotCfg :vlax-true) (vla-put-ShowPlotStyles plotCfg :vlax-true) ;; Center the plot on the page (if (= :vlax-false (vla-get-CenterPlot plotCfg)) (vla-put-CenterPlot plotCfg :vlax-true) ) (if (= (getvar "PSTYLEMODE") 0) (vla-put-StyleSheet plotCfg "acad.stb") (vla-put-StyleSheet plotCfg "TFC.ctb") ) ;; Assign the page setup to the current layout (vla-CopyFrom (vla-get-ActiveLayout doc) plotCfg) (vl-cmdf "UCS" "") (setq cnt 0) (if (not (setq folder (getfolder "Select folder to save views"))) (setq folder (getvar 'dwgprefix))(setq folder (strcat folder "\\"))) (if (and (progn (initget "B") (setq ob (entsel "\nSelect Block/B for blockname: ")) (cond ((eq ob "B") (setq bn (getstring "\nEtner Block Name: ")) ) ((and (eq (type ob) 'LIST) (vlax-method-applicable-p (vlax-ename->vla-object (car ob)) 'getboundingbox)) (setq bn (cdr (assoc 2 (entget (car ob)))))))) (tblsearch "BLOCK" bn) bn (setq ss (ssget "_X" (list '(0 . "INSERT")'(410 . "Model")(cons 2 bn)))) ) (progn (vla-zoomextents (vlax-get-acad-object)) (repeat (setq i (sslength ss)) (setq cnt (1+ cnt)) (vla-getboundingbox (vlax-ename->vla-object (ssname ss (setq i (1- i)))) 'mn'mx) (setq tmp (ssget "_C" (trans (vlax-safearray->list mx) 0 1) (trans (vlax-safearray->list mn) 0 1))) (vl-cmdf "_.-wblock" (strcat folder (itoa cnt) "-" (vl-filename-base (getvar 'dwgname)) ".dwg") "" "0,0" tmp "") (command "oops") ) ) (princ "\nNo Blocks Selected: ") )(princ) (defun *error* ( msg ) (setvar "FILEDIA" OldFda) ;sets system variable FILEDIA back to original value (setvar "EXPERT" Save_Expert) ;sets system variable EXPERT back to original value (princ "error: ") (princ msg) (princ) ) (setq OldFda (getvar "FILEDIA")) ;reads current system variable FILEDIA value (setvar "FILEDIA" 0) ;sets FILEDIA to 0 so no dialog boxes popup (setq Save_Expert (getvar "EXPERT")) ;reads current system variable EXPERT value (setvar "EXPERT" 2) ;sets EXPERT to 2 so no dialog boxes popup (setvar "EXPERT" Save_Expert) ;sets system variable EXPERT back to original value (setq pathtxt (strcat folder "TEMP.DSD")) ;sets path for DSD file from current drawing saved location (setq file (open (strcat folder "TEMP.DSD") "w")) ;opens DSD file for writing ;**********START OF DSD FILE********** ;**********START HEADER********** (write-line "[DWF6Version]" file) (write-line "Ver=1" file) (write-line "[DWF6MinorVersion]" file) (write-line "MinorVer=1" file) ;**********END OF HEADER********** ;**********START OF LAYOUTS/DWG TO PLOT********** !!!repeat this section for each of your layouts or dwgs to plot (setq cnt2 0) (repeat (setq i2 (sslength ss)) (setq cnt2 (1+ cnt2)) (setq dname (strcat "[DWF6Sheet:PDF Sheet " (itoa cnt2) "]")) (write-line dname file) (write-line (strcat "DWG=" folder (itoa cnt2) "-" (substr (getvar "dwgname") 1 (- (strlen (getvar "dwgname")) 4)) ".dwg")file) (write-line "Layout=Model" file) ;layout to plot (write-line (strcat "OriginalSheetPath=" (strcat folder (itoa cnt2) "-" (substr (getvar "dwgname") 1 (- (strlen (getvar "dwgname")) 4))".dwg") )file) (write-line "Has Plot Port=0" file) (write-line "Has3DDWF=0" file) (setq i2 (1- i2)) ) ;**********END OF 'ONE' LAYOUT TO PLOT********** !!!repeat previous section for each of your layouts or dwgs to plot ;**********START OF DSD FOOTER********** (write-line "[Target]" file) (write-line "Type=6" file) ;change to "TYPE=6" for multiple output files, "TYPE=5" for single output file (write-line (strcat "DWF=" (strcat folder(substr (getvar "dwgname") 1 (- (strlen (getvar "dwgname")) 4))".pdf") )file) (write-line (strcat "OUT="(strcat folder)) file) (write-line "PWD=" file) ;**********END OF DSD FOOTER********** ;**********END OF DSD FILE********** (close file) ;closes DSD file (command "_.delay" 2000) ;system delay before starting publish command so DSD file closes (command "-Publish" pathtxt ) ;start publish command with TEMP.DSD file just created (setvar "FILEDIA" OldFda) ;sets system variable FILEDIA back to original value (command "_.delay" 2000) ;system delay before deleting TEMP.DSD so publish routine has time to release it (vl-file-delete pathtxt) ;deletes TEMP.DSD file (princ) ) (defun getfolder (msg / fl sh) (if (and (setq sh (vlax-create-object "Shell.Application"))(setq fl (vlax-invoke sh 'browseforfolder 0 msg 0 ""))) (setq fl (vlax-get-property (vlax-get-property fl 'self) 'path))(setq fl nil))(release_me (list sh)) fl) (defun release_me (lst) (mapcar '(lambda (x)(if (and (= 'vla-object (type x))(not (vlax-object-released-p x)))(vlax-release-object x))(set (quote x) nil)) lst)) (princ) Thanks, Brian
  6. AutoCAD 2016 Right now we pdf (and it looks great), then we saveas a TIFF file. PDF lineweights look good, and so do the new TIFF lineweights. We are trying to publish straight to a TIFF file, but are lineweights are to fine. I've tried going into the imported "page setup" file and changing the lineweight in the page setup manager's "plot style table", but that did nothing. Any suggestions?
  7. Hey guys, I am having an issue I've never seen before. I am trying to publish a set of drawings into one PDF file with DWG to PDF. However, when I do it looks like this (blackout added): When I zoom extents the drawing, it shows there's nothing out there. The page size is 11X17 and it plots to that size. When I plot the drawings individually it looks like this: I am really stumped on what it could be and welcome any insights.
  8. I don't know if anyone else has this issue but since my support and Autodesk couldn't figure it out maybe it can be figured out here. When I am drafting I have multiple drawings open, I tend to copy and paste between drawings. This has caused an issue when I am publishing a finished drawing. When I have multiple drawings open and I try to publish, all of the drawings are listed as unsaved drawing. (unsaved drawing1, unsaved drawing2, etc.) I have to close the dialog box and save the drawing that I want to publish, and if I don't do anything between saving and opening the publish command the drawing will be listed and I can delete all of the other pages that are listed. I thought once that I would go through and save all of the drawings then in the drawing that I wanted to print I would save that last. When opening the publish dialog box the only drawing listed correctly was the last one I saved. The weird part is that when I have only one drawing open, it doesn't matter if I have saved or not it will list the drawing by name. I know this is not an issue that will kill AutoCAD but it bugs the crap out of me and I want it to stop doing it.
  9. hello i'm priting my drafts with PUBLISH to a PDF file i'would like to change the name of the PDF : the name would start by the name of the tab and finish by the name of the file How can i lmake this possible? Phil PS : sorry, i need to increase my Acad vocabulary in english which is quite poor yet (i'm working on a French version)
  10. HI, I HAVE A SIMPLE SCRIPT FILE THAT PRINTS SPECIFIC TABS INSIDE A CAD FILE, IS IT POSSIBLE TO CHANGE THIS TO MAKE IT PLOT MULTIPLE TABS "LAYOUTS" IN THE SAME FILE, BASICALLY WILL BECOME EQUIVALENT TO A PUBLISH "BATCH PLOT" COMMAND. -PLOT Y PV2.00 DWG TO PDF.PC3 ARCH full bleed E1 (30.00 x 42.00 Inches) I L N L F Y SoCore_2014.ctb Y Y Y N N Y Y THNX
  11. My company just switched over to AutoCAD 2014 and for some reason the PUBLISH command is not working, or following through with the printing once we complete the required steps to plot. We are able to select the drawings to be plotted (8"x11" sheets), then successfully bring in our page setup that we created with one of the drawings to be plotted (which we use the same template with the same limits on ALL of our 'drawing templates' we design with. After we hit the PUBLISH button at the bottom it goes into the background and just stays there with no errors or anything After a little while we end up just having to cancel and plot individually. We used TrueView to BatchPlot which is identical to the batchplot(publishing) in ACAD 2014 WITH NO ISSUES! Can someone help me as to why I would possibly be having this hiccup?
  12. Hi All, I have a functioning Spooling lisp routine that allows me to process a series of drawings from a list in a text file. At the moment I can run routines, print and generate single sheet DWF files. My company now has the requirement to generate Multi-Sheet DWF files that include the Model and all Layouts. I am creating the DSD files for each drawing that opens with the spool process and then run -PUBLISH command using the created DSD file. When I step the script through one line at a time it all works perfectly, but when I run the spool un-interupted, AutoCAD crashes with a Fatal Error: Unhandled Access Violation Writing 0x009b Exception at 9bh I am starting to think that it is not possible to create a Multi-Sheet DWF using Scripts, but I would really love to get this working. Any and All input greatly appreciated. Colin Holloway
  13. Hi, I seem to be having an issue publishing multiple layouts into a single PDF. All the layouts are setup to plot to 'Adobe PDF' and in the Publish options I have set 'Publish to: Plotter named in page setup' as well as 'Multi-sheet file'. When I click OK I'm prompted for the filename for each layout and have to save them as separate files. The only time it does work is when I choose 'Publish to: PDF' which I guess uses AutoCAD's internal 'DWG to PDF' method. Is my preferred method an Adobe issue or is it fixable through AutoCAD?
  14. Ok I can not seem to find anyone else having this issue anywhere on the net. I am currently setting up a sheet set within one file where the main layout out is an xref with desired information drawn over the xref. I will need to setup a total of 30 some sheets(tabs) with 3 viewports on each sheet(tab) Here is the main issue. I go to plot an individual sheet(tab) and everything comes out fine. The xref is set to color Gray( #8 ) with a screen of 60% and my overlay drawings shows up as the desired darker lines. However when I got to do a batch plot (publish/using same plot settings as an individual plot for all tabs) the lines and title block come out fine but my xref does not show up on any of the sheets. I have tried multiple printers and plotters and the same thing happens every time with this drawing. Anyone have an idea what I am doing wrong? the xref is on its own individual layer, nothing is set to "do not plot", nothing is on the defpoints layer. I am currently using AutoCAD MEP 2013. If you need any more information just let me know. Someone please help, I don't want to get to the end and have to sit and plot 30+ sheet individually every time someone makes a large change.
  15. Hi all I have this reoccurring issue with ACAD. It appears randomly and whenever we upgrade to newer versions of ACAD also. Now that we are upgrading to 2012 it has reared its ugly head again. Heres the issue; when I go to publish a set of drawings from sheet set manager it refuses to do so. It does not even show my page setups. So to get around this i will plot the drawings individually or create a DWF and plot them that way. Another way is to delete all the sheets within the sheet set and add them all again which fixes it, but its time consuming and quiet annoying having to do this all the time. Anyone come across this issue themselves and what can be done to stop it?? Cheers! p.s - I am currently working on 2011 but will be upgrading to 2012 asap, would like to solve this first though. Any help appreciated
  16. blatz.boy

    Publish Options

    Is there a way to load the P.S. layout sheets only, and not model space? At present, I just load the needed files and then select/delete the M.S. layouts.
×
×
  • Create New...